<?php
/**
 * 商品分类管理
 * $Id: product_category_change_display_order.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wulk
 * @access public
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id");
$course_mst = CourseMst::getById($id);
if ($course_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}
$type = ParamUtil::getRequestString("type", "up");

// 排序
$param = array();
$param["delete_flg"] = false;
$param["id_NOT"] = $id;
if ($type == "up") {
	$param["display_order_MIN"] = $course_mst->display_order;
	$tmp_list = CourseMst::getList($param, "display_order", "asc", 0, 1);
} else {
	$param["display_order_MAX"] = $course_mst->display_order;
	$tmp_list = CourseMst::getList($param, "display_order", "desc", 0, 1);
}
if (count($tmp_list) == 1) {
	//临时保存
	$display_order = $course_mst->display_order;
	$course_mst->display_order = $tmp_list[0]->display_order;
	$course_mst->save();
	
	$tmp_list[0]->display_order = $display_order;
	$tmp_list[0]->save();
}

// 跳到一览页
header("location: course_list.php");
exit;
?>